{%- macro list(classes = []) -%}
  <div class="{{ content.container|default('container') }}">
    <ul class="nav nav-tabs mb-4 {{ classes | join(' ') }}" role="tablist">{{ caller() }}</ul>
  </div>
{%- endmacro -%}

{%- macro content(classes = []) -%}
  <div class="{{ content.container|default('container') }}">
    <div class="tab-content {{ classes | join(' ') }}">{{ caller() }}</div>
  </div>
{%- endmacro -%}

{%- macro link(text, paneId) -%}
  <a class="nav-link" data-toggle="tab" href="#{{ paneId }}" role="tab" aria-controls="{{ paneId }}" aria-selected="false">{{ text }}</a>
{%- endmacro -%}

{%- macro activeLink(text, paneId) -%}
  <a class="nav-link active" data-toggle="tab" href="#{{ paneId }}" role="tab" aria-controls="{{ paneId }}" aria-selected="true">{{ text }}</a>
{%- endmacro -%}

{%- macro disabledLink(text) -%}
  <span class="nav-link disabled" role="tab">{{ text }}</span>
{%- endmacro -%}

{%- macro item(text, paneId) -%}
  <li class="nav-item">{{ link(text, paneId) }}</li>
{%- endmacro -%}

{%- macro activeItem(text, paneId) -%}
  <li class="nav-item">{{ activeLink(text, paneId) }}</li>
{%- endmacro -%}

{%- macro disabledItem(text) -%}
  <li class="nav-item">{{ disabledLink(text, paneId) }}</li>
{%- endmacro -%}

{%- macro pane(id, classes = []) -%}
  <div class="tab-pane fade {{ classes | join(' ') }}" id="{{ id }}" role="tabpanel">{{ caller() }}</div>
{%- endmacro -%}

{%- macro activePane(id, classes = []) -%}
  <div class="tab-pane active fade show {{ classes | join(' ') }}" id="{{ id }}" role="tabpanel">{{ caller() }}</div>
{%- endmacro -%}